Page MenuHomePhabricator

Do not display empty grant list
Closed, ResolvedPublic

Description

When the consumer has basic rights (useoauth) and nothing else, Special:OAuthListConsumers will display an empty line for "Applicable grants" (example).

Event Timeline

Tgr created this task.May 31 2017, 3:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2017, 3:23 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 31 2017, 3:23 PM
This comment was removed by Swathi-0901.
Ammarpad removed Swathi-0901 as the assignee of this task.Jan 4 2020, 11:43 AM
Ammarpad added a project: Google-Code-in-2019.
Ammarpad added a subscriber: Swathi-0901.

@Ammarpad: Do you plan to mentor this in Google-Code-in-2019, or why was the tag added?

@Ammarpad: Do you plan to mentor this in Google-Code-in-2019,

Yes, now I am

or why was the tag added?

In case someone is willing to mentor for it.

Change 564784 had a related patch set uploaded (by Crutishnyk; owner: Crutishnyk):
[mediawiki/extensions/OAuth@master] extensions/OAuth: Remove display of grants if consumer hasn't basic rights

https://gerrit.wikimedia.org/r/564784

Change 564784 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] extensions/OAuth: Remove display of "Applicable grants" heading if consumer has only basic rigts

https://gerrit.wikimedia.org/r/564784

Ammarpad closed this task as Resolved.Jan 16 2020, 7:12 PM
Tgr added a comment.Feb 18 2020, 7:20 AM

I think the better approach here would be to display something like "basic rights only", much like how we do with the authonly and authonly-private grants.

Change 572865 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/OAuth@master] Show applicable right when consumer has only basic rights

https://gerrit.wikimedia.org/r/572865

Change 572865 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] Show applicable grant when consumer has only basic rights

https://gerrit.wikimedia.org/r/572865